
QGIS Application - Bug report #21236

Crash running queries in DB Manager

2019-02-11 07:14 PM - Giovanni Manghi

Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: DB Manager

Affected QGIS version:3.5(master) Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 29054

Description

affected 3.4.4 and master, tested on Windows for now.

open db manager and open sql console (tested on small postgis layer and a virtual layer as well (shapefile))

write a simple query like

select * from mylayer

click execute -->

if you click "execute" a second time shortly after the first time, then QGIS immediately crashes.

Replicating the above on master is a little harder (sometime you have to click "execute" more than twice), but still easy.

History

#1 - 2019-02-11 07:14 PM - Giovanni Manghi

- Subject changed from Crasj running queries in DB Manager to Crash running queries in DB Manager

#2 - 2019-02-12 08:41 AM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#3 - 2019-02-12 05:22 PM - Alessandro Pasotti

I cannot reproduce on linux. Any stacktrace?

#4 - 2019-02-12 05:22 PM - Alessandro Pasotti

- Status changed from Open to Feedback

#5 - 2019-02-12 08:34 PM - Giovanni Manghi

- File Recording #2.mp4 added

- Status changed from Feedback to Open

- File Recording #1.mp4 added

Screencast attached (3.4.4 and master)
#6 - 2019-02-13 08:37 AM - Alessandro Pasotti

- File Screenshot_20190213_083651.png added

- File Screenshot_20190213_083618.png added

#7 - 2019-02-13 10:20 AM - Alessandro Pasotti

- Status changed from Open to Feedback

According to information from Nyall, this could actually have been fixed in the last few days, can you please re-test current master?

#8 - 2019-02-13 11:04 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

All good now after updating today packages in osgeo4w!

Files

Recording #1.mp4 2.55 MB 2019-02-12 Giovanni Manghi

Recording #2.mp4 1.08 MB 2019-02-12 Giovanni Manghi

Screenshot_20190213_083651.png 254 KB 2019-02-13 Alessandro Pasotti

Screenshot_20190213_083618.png 356 KB 2019-02-13 Alessandro Pasotti
